package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrPublicMapper;
import com.ruoyi.project.pssr.domain.TPssrPublic;
import com.ruoyi.project.pssr.service.ITPssrPublicService;

/**
 * 公用工程Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrPublicServiceImpl implements ITPssrPublicService
{
    @Autowired
    private TPssrPublicMapper tPssrPublicMapper;

    /**
     * 查询公用工程
     *
     * @param id 公用工程ID
     * @return 公用工程
     */
    @Override
    public TPssrPublic selectTPssrPublicById(Long id)
    {
        return tPssrPublicMapper.selectTPssrPublicById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrPublicMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询公用工程列表
     *
     * @param tPssrPublic 公用工程
     * @return 公用工程
     */
    @Override
    public List<TPssrPublic> selectTPssrPublicList(TPssrPublic tPssrPublic)
    {
        return tPssrPublicMapper.selectTPssrPublicList(tPssrPublic);
    }

    /**
     * 新增公用工程
     *
     * @param tPssrPublic 公用工程
     * @return 结果
     */
    @Override
    public int insertTPssrPublic(TPssrPublic tPssrPublic)
    {
        return tPssrPublicMapper.insertTPssrPublic(tPssrPublic);
    }

    /**
     * 修改公用工程
     *
     * @param tPssrPublic 公用工程
     * @return 结果
     */
    @Override
    public int updateTPssrPublic(TPssrPublic tPssrPublic)
    {
        return tPssrPublicMapper.updateTPssrPublic(tPssrPublic);
    }

    /**
     * 批量删除公用工程
     *
     * @param ids 需要删除的公用工程ID
     * @return 结果
     */
    @Override
    public int deleteTPssrPublicByIds(Long[] ids)
    {
        return tPssrPublicMapper.deleteTPssrPublicByIds(ids);
    }

    /**
     * 删除公用工程信息
     *
     * @param id 公用工程ID
     * @return 结果
     */
    @Override
    public int deleteTPssrPublicById(Long id)
    {
        return tPssrPublicMapper.deleteTPssrPublicById(id);
    }
}
